package cn.reghao.tnb.search.esapp.model.po;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author reghao
 * @date 2025-08-20 16:04:37
 */
@NoArgsConstructor
@Setter
@Getter
public class WenshuLucene {
    private String id;
    // 案件名称
    private String caseName;
    // 全文
    private String fullText;

    public WenshuLucene(String id, Wenshu wenshu) {
        this.id = id;
        this.caseName = wenshu.getCaseName();
        this.fullText = wenshu.getFullText();
    }
}
